From c974c84ecb31f7a0ad3e2568e0cb0fd3421f6bde Mon Sep 17 00:00:00 2001
From: Andrew Benson <abenson+void@gmail.com>
Date: Sat, 6 Jul 2019 00:01:43 -0500
Subject: [PATCH] New package: libnsl-1.2.0

---
 common/shlibs           |  1 +
 srcpkgs/libnsl-devel    |  1 +
 srcpkgs/libnsl/template | 29 +++++++++++++++++++++++++++++
 3 files changed, 31 insertions(+)
 create mode 120000 srcpkgs/libnsl-devel
 create mode 100644 srcpkgs/libnsl/template

diff --git a/common/shlibs b/common/shlibs
index d4a66b6b797..a6e4dda1fa4 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -3480,3 +3480,4 @@ libgtk-4.so.0.9400.0 gtk4-3.94.0_1
 libmodule.so.4 libmodule-4.1.0_1
 libgnustep-gui.so.0.27 gnustep-gui-0.27.0_1
 libmhash.so.2 mhash-0.9.9.9_1
+libnsl.so.2 libnsl-1.2.0_1
diff --git a/srcpkgs/libnsl-devel b/srcpkgs/libnsl-devel
new file mode 120000
index 00000000000..f29b06bcb35
--- /dev/null
+++ b/srcpkgs/libnsl-devel
@@ -0,0 +1 @@
+libnsl
\ No newline at end of file
diff --git a/srcpkgs/libnsl/template b/srcpkgs/libnsl/template
new file mode 100644
index 00000000000..04d5f96be53
--- /dev/null
+++ b/srcpkgs/libnsl/template
@@ -0,0 +1,29 @@
+# Template file for 'libnsl'
+pkgname=libnsl
+version=1.2.0
+revision=1
+build_style=gnu-configure
+hostmakedepends="pkg-config automake m4 libtool"
+makedepends="gettext-devel"
+depends=""
+short_desc="Public client interface for NIS(YP) and NIS+"
+maintainer="Andrew Benson <abenson+void@gmail.com>"
+license="LGPL-2.1-only"
+homepage="https://github.com/thkukuk/libnsl"
+distfiles="${homepage}/archive/v${version}.tar.gz"
+checksum=a5a28ef17c4ca23a005a729257c959620b09f8c7f99d0edbfe2eb6b06bafd3f8
+
+pre_configure() {
+	autoreconf -fi
+}
+
+libnsl-devel_package() {
+	short_desc+=" - development files"
+	depends="${sourcepkg}>=${version}"
+	pkg_install() {
+		vmove usr/include
+		vmove usr/lib/pkgconfig
+		vmove "usr/lib/*.a"
+		vmove "usr/lib/*.so"
+	}
+}
